#include <xvt.h>
#include <checks.h>
         
#include "771.h"

#define usage   "Error - usage : %s -{0|1|2|3|4|5|6}"

int main(int argc,char** argv)
{
  int n = (argc > 1) ? atoi(argv[1]+1) : -1;

  switch (n)
  {
// Manutenzione dati anagrafici
    case 0: 
      m71100(argc,argv); 
      break;
// Quadro H
    case 1: 
      m71290(argc,argv); 
      break;
// Quadro I e Prospetto dati generali
    case 2: 
      m71300(argc,argv); 
      break;
// Quadro L
    case 3: 
      m71310(argc,argv); 
      break;
// Dettaglio H
    case 4: 
      m71295(argc,argv); 
      break;
//////////////////////////////////////
//               1: Quadro D1
//               C: Quadro C
// 771mod -5     E: Quadro E   
//               2: Quadro E1
//               3: Quadro E2
//////////////////////////////////////
    case 5:
      quadriC_E2 (argc,argv); 
      break; 
//////////////////////////////////////
//            0 = F, 
//            1 = F1, 
// 771mod -6  2 = F2, 
//            3 = G
//            4 = distinta G                     
//            5 = G-1
//////////////////////////////////////
    case 6: 
      quadroF (argc,argv); 
      break;   
// Quadro A
    case 7: 
      quadriA_A3(argc,argv); 
      break; 
    default:   
      error_box(usage, argv[0]) ;
  }
  return 0;
}
